diff --git a/src/backend/commands/vacuumlazy.c b/src/backend/commands/vacuumlazy.c
index 005440e..691f396 100644
--- a/src/backend/commands/vacuumlazy.c
+++ b/src/backend/commands/vacuumlazy.c
@@ -1333,10 +1333,11 @@ lazy_scan_heap(Relation onerel, int options, LVRelStats *vacrelstats,
 					 nkeep);
 	appendStringInfo(&buf, _("There were %.0f unused item pointers.\n"),
 					 nunused);
-	appendStringInfo(&buf, ngettext("Skipped %u page due to buffer pins.\n",
-									"Skipped %u pages due to buffer pins.\n",
+	appendStringInfo(&buf, ngettext("Skipped %u page due to buffer pins, %u frozen pages.\n",
+									"Skipped %u pages due to buffer pins, %u frozen pages.\n",
 									vacrelstats->pinskipped_pages),
-					 vacrelstats->pinskipped_pages);
+					 vacrelstats->pinskipped_pages,
+					 vacrelstats->frozenskipped_pages);
 	appendStringInfo(&buf, ngettext("%u page is entirely empty.\n",
 									"%u pages are entirely empty.\n",
 									empty_pages),
